Повышение привилегий в Zoo

Дата публикации:
17.03.2006
Всего просмотров:
1328
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
zoo 2.x
Уязвимые версии: Zoo 2.10

Описание:
Уязвимость позволяет локальному пользователю повысить свои привилегии на системе.

Уязвимость существует из-за ошибки проверки границ данных в функции "parse()" в файле parse.c во добавления в архив файла с очень длинным именем. Локальный пользователь может с помощью специально сформированного имени файла вызвать переполнение стека и выполнить произвольный код на системе.

Пример/Эксплоит: см. источник сообщения.

URL производителя: packages.qa.debian.org/z/zoo.html

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Buffer overflow during archive creation in Zoo

или введите имя

CAPTCHA